Loading...
Searching...
No Matches
IODDoubleFloatingPointImagePixelModule Class Reference

Class representing Double Floating Point Image Pixel Module: More...

Inheritance diagram for IODDoubleFloatingPointImagePixelModule:

## Public Types

typedef Float64 | value_type
| Data type of pixels.

## Public Member Functions

| IODDoubleFloatingPointImagePixelModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODDoubleFloatingPointImagePixelModule ()
| Constructor.
virtual | ~IODDoubleFloatingPointImagePixelModule ()
| Destructor.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module.
virtual DataType | getDataType () const
| Get pixel data type, always returns DataType::DOUBLE for this class.
virtual OFCondition | getDoubleFloatPixelPaddingValue (Float64 &value, const unsigned long pos=0)
| Get Double Float Pixel Padding Value.
virtual OFCondition | getDoubleFloatPixelPaddingRangeLimit (Float64 &value, const unsigned long pos=0)
| Get Double Float Pixel Padding Range Limit.
virtual OFCondition | setDoubleFloatPixelPaddingValue (const Float64 value, const OFBool checkValue=OFTrue)
| Set Double Float Pixel Pixel Padding Value.
virtual OFCondition | setDoubleFloatPixelPaddingRangeLimit (const Float64 value, const OFBool checkValue=OFTrue)
| Set Double Float Pixel Padding Range Limit.
Public Member Functions inherited from IODImagePixelBase
| IODImagePixelBase (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODImagePixelBase ()
| Constructor.
virtual | ~IODImagePixelBase ()
| Destructor.
virtual OFCondition | getSamplesPerPixel (Uint16 &value, const unsigned long pos=0)
| Get Samples per Pixel.
virtual OFCondition | getPhotometricInterpretation (OFString &value, const signed long pos=0)
| Get Photometric Interpretation.
virtual OFCondition | getRows (Uint16 &value, const unsigned long pos=0)
| Get Rows.
virtual OFCondition | getColumns (Uint16 &value, const unsigned long pos=0)
| Get Columns.
virtual OFCondition | getBitsAllocated (Uint16 &value, const unsigned long pos=0)
| Get Bits Allocated.
virtual OFCondition | getPixelAspectRatio (Uint16 &value, const unsigned long pos=0)
| Get Pixel Aspect Ratio.
virtual OFCondition | setRows (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Rows.
virtual OFCondition | setColumns (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Columns.
virtual OFCondition | setPixelAspectRatio (const OFString &verticalPixelSize, const OFString &horizontalPixelSize, const OFBool checkValue=OFTrue)
| Set Pixel Aspect Ratio.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Private Attributes

static const OFString | m_ModuleName
| This module's name ("DoubleFloatingPointImagePixelModule").

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing Double Floating Point Image Pixel Module:

Samples Per Pixel: (US, 1, 1) Photometric Interpretation (CS, 1, 1) Rows: (US, 1, 1) Columns: (US, 1, 1) Bits Allocated: (US, 1 1) Pixel Aspect Ratio: (IS, 2, 1C) Double Float Pixel Padding Value: (FD, 1, 3) Double Float Pixel Padding Range Limit: (FD, 1, 1C)

## Constructor & Destructor Documentation

## IODDoubleFloatingPointImagePixelModule()

IODDoubleFloatingPointImagePixelModule::IODDoubleFloatingPointImagePixelModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## getDataType()

virtual DataType IODDoubleFloatingPointImagePixelModule::getDataType | ( |  | ) | const

virtual

Get pixel data type, always returns DataType::DOUBLE for this class.

Returns
  The data type of the pixel data

Implements IODImagePixelBase.

## getDoubleFloatPixelPaddingRangeLimit()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::getDoubleFloatPixelPaddingRangeLimit | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )

virtual

Get Double Float Pixel Padding Range Limit.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## getDoubleFloatPixelPaddingValue()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::getDoubleFloatPixelPaddingValue | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )

virtual

Get Double Float Pixel Padding Value.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## getName()

virtual OFString IODDoubleFloatingPointImagePixelModule::getName | ( |  | ) | const

virtual

Get name of module.

Returns
  Name of the module ("DoubleFloatingPointImagePixelModule")

Reimplemented from IODImagePixelBase.

## read()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## setDoubleFloatPixelPaddingRangeLimit()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::setDoubleFloatPixelPaddingRangeLimit | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Double Float Pixel Padding Range Limit.

Parameters

  value | Reference to variable in which the value should be stored
  checkValue | Check 'value' for conformance with VR (FD) and consistency with other attributes if enabled

Returns
  EC_Normal if successful, an error code otherwise

## setDoubleFloatPixelPaddingValue()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::setDoubleFloatPixelPaddingValue | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Double Float Pixel Pixel Padding Value.

Parameters

  value | Reference to variable in which the value should be stored
  checkValue | Check 'value' for conformance with VR (FD) and consistency with other attributes if enabled

Returns
  EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition IODDoubleFloatingPointImagePixelModule::write | ( | DcmItem & | destination | ) |

virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modfloatingpointimagepixel.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0